Skip to main content
GET
/
timesheets
/
{timesheetId}
cURL
curl --request GET \
  --url https://api.buildpass.global/timesheets/{timesheetId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>' \
  --header 'X-BuildPass-Builder-Id: <x-buildpass-builder-id>'
{
  "id": "ts_clgbsb90b001qjy0f0eo1hspp",
  "status": "WAITING_REVIEW",
  "createdAt": "2023-10-03T23:19:35.771Z",
  "updatedAt": "2023-10-03T23:19:35.771Z",
  "date": "2023-10-03T23:19:35.771Z",
  "hours": 10,
  "notes": "This is a note",
  "timeType": "Annual Leave",
  "costCode": "001 - Foundation",
  "timesheetGroupId": "tsg_clgbsb90b001qjy0f0eo1hspp",
  "profile": {
    "id": "pers_clgbsb90b001qjy0f0eo1hspp",
    "fullName": "John Doe",
    "type": "worker"
  },
  "project": {
    "id": "project_clgbsb90b001qjy0f0eo1hspp",
    "name": "Project 1"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Builder-Id
string
required

Call the /builders endpoint to get a builder ID

Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

timesheetId
string
required
Example:

"ts_clgbsb90b001qjy0f0eo1hspp"

Response

A timesheet object

id
string
Example:

"ts_clgbsb90b001qjy0f0eo1hspp"

status
enum<string>
Available options:
APPROVED_1,
APPROVED_2,
REJECTED,
WAITING_REVIEW
Example:

"WAITING_REVIEW"

createdAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

updatedAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

date
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

hours
number
Example:

10

notes
string
Example:

"This is a note"

timeType
string
Example:

"Annual Leave"

costCode
string
Example:

"001 - Foundation"

timesheetGroupId
string
Example:

"tsg_clgbsb90b001qjy0f0eo1hspp"

profile
object
project
object